<template>
  <Dialog :title="dialogTitle" v-model="dialogVisible" width="80%" class="ptdailywithdrawal-dialog">
    <withdrawal :row="row"  />
  </Dialog>
</template>
<script setup lang="ts">
import { ApplicationForWithdrawalChannelApi, ApplicationForWithdrawalChannelVO } from '@/api/system/distri/withdrawalchannel'
import withdrawal from '@/views/system/distri/withdrawal/index.vue'
/** 提现渠道记录 表单 */
defineOptions({ name: 'ApplicationForWithdrawalChannelForm' })

const { t } = useI18n() // 国际化
const message = useMessage() // 消息弹窗

const dialogVisible = ref(false) // 弹窗的是否展示
const dialogTitle = ref('详情') // 弹窗的标题

const formRef = ref() // 表单 Ref
const row = ref();
/** 打开弹窗 */
const open = async (event) => {
  dialogVisible.value = true;
  row.value = event;
}
defineExpose({ open }) // 提供 open 方法，用于打开弹窗

</script>